﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Transactions;

using SQlitetransactions.Model;

namespace SQlitetransactions
{
    /// <summary>
    /// Lógica de interacción para MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                using (var scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = System.Transactions.IsolationLevel.ReadCommitted }))
                {
                    transactionsEntities myContext = new transactionsEntities();

                    string strAuthor = "select * from Authors where IDAuthor = 1";
                    Authors myAuthor = myContext.Authors.SqlQuery(strAuthor).FirstOrDefault<Authors>();

                    string strSongs = "select * from Songs where IDAuthor = 1";
                    List<Songs> lstSongs = myContext.Songs.SqlQuery(strSongs).ToList<Songs>();

                    int numberOfSongs = lstSongs.Count;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
